Get Classifier Template
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/classifier_templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/classifier_templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/classifier_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"applicableType": "CLASSIFIER_TYPE_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"defaultDenyReason": "<string>",
"defaultOutcome": "AGENT_CLASSIFIER_RULE_OUTCOME_UNSPECIFIED",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"distribution": "TEMPLATE_DISTRIBUTION_UNSPECIFIED",
"frameworkTags": [
"<string>"
],
"hooks": [
{
"celFilter": "<string>",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"eventType": "HOOK_SPEC_EVENT_TYPE_UNSPECIFIED",
"key": "<string>",
"patternKind": "HOOK_BUILT_IN_PATTERN_KIND_UNSPECIFIED",
"postHook": true,
"priority": 123
}
],
"id": "<string>",
"isLatest": true,
"managedBy": "MANAGED_BY_UNSPECIFIED",
"presetTier": "PRESET_TIER_UNSPECIFIED",
"requiredParams": [
{
"description": "<string>",
"displayName": "<string>",
"key": "<string>",
"required": true,
"type": "TEMPLATE_PARAM_TYPE_UNSPECIFIED"
}
],
"rules": [
{
"displayName": "<string>",
"action": "AGENT_CLASSIFIER_RULE_ACTION_UNSPECIFIED",
"celCondition": "<string>",
"denyReason": "<string>",
"description": "<string>",
"id": "<string>",
"mode": "AGENT_CLASSIFIER_RULE_MODE_UNSPECIFIED",
"outcome": "AGENT_CLASSIFIER_RULE_OUTCOME_UNSPECIFIED",
"postHookIds": [
"<string>"
],
"preHookIds": [
"<string>"
],
"preOutputHookIds": [
"<string>"
],
"sourceTemplateId": "<string>",
"systemManaged": true,
"toolGateIds": [
"<string>"
]
}
],
"templateVersion": "<string>",
"tenantId": "<string>",
"toolGates": [
{
"builtInPattern": "TOOL_GATE_BUILT_IN_PATTERN_UNSPECIFIED",
"celExpression": "<string>",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"grantPolicyParamKey": "<string>",
"key": "<string>",
"priority": 123
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Classifier Templates
Get Classifier Template
Get returns a classifier template revision. An empty template_version selects the latest revision.
GET
/
api
/
v1
/
classifier_templates
/
{id}
Get Classifier Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Query Parameters
Optional; empty resolves the latest version.
Response
200 - application/json
Successful response
The GetClassifierTemplateResponse message.
ClassifierTemplate is a versioned, parameterizable definition that instantiates a live Classifier.
Show child attributes
Show child attributes
Was this page helpful?